# Uses of Class
it.tdlight.jni.TdApi.Notification

## Uses of TdApi.Notification in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.Notification
Modifier and Type
Field
Description
`TdApi.Notification[]`
TdApi.UpdateNotificationGroup.`addedNotifications`
List of added group notifications, sorted by notification identifier.
`TdApi.Notification`
TdApi.UpdateNotification.`notification`
Changed notification.
`TdApi.Notification[]`
TdApi.NotificationGroup.`notifications`
The list of active notifications.
Constructors in it.tdlight.jni with parameters of type TdApi.Notification
Modifier
Constructor
Description
``
`NotificationGroup(int id, TdApi.NotificationGroupType type, long chatId, int totalCount, TdApi.Notification[] notifications)`
Describes a group of notifications.
``
`UpdateNotification(int notificationGroupId, TdApi.Notification notification)`
A notification was changed.
``
`UpdateNotificationGroup(int notificationGroupId, TdApi.NotificationGroupType type, long chatId, long notificationSettingsChatId, long notificationSoundId, int totalCount, TdApi.Notification[] addedNotifications, int[] removedNotificationIds)`
A list of active notifications in a notification group has changed.